Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Interface HibernateIterator

All Superinterfaces:
  Iterator

All Known Implementing Classes:
  IteratorImpl

    public interface HibernateIterator

extends Iterator

An iterator that may be "closed"

Author:
  Gavin King
See Also:
  `Hibernate.close(java.util.Iterator)`

Method Summary
`void` | `close()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### close

    void close()
               throws JDBCException

  Throws:
    `JDBCException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.